#!/bin/sh
KERNVER="$(uname -r)"
#121004 If hardware or drivers not installed, remove init script (to avoid wait timeout if triggered by udev rule) and exit...
[ "$(ls -d /lib/modules/$KERNVER/intelmodem/536*/* 2>/dev/null)" = "" ] \
 || ! /sbin/lspci -n | grep -q -w '8086:1040' \
 && ( rm -f /etc/init.d/intel536ep; exit )

#121004 Determine uni vs. multiprocessor (SMS) & use correct module version...
grep -w '^processor' /proc/cpuinfo | tail -n 1 | grep -q -w '0' && SUFFIX=HIDEUNI || SUFFIX=HIDE
[ "$SUFFIX" = "HIDEUNI" ] && HIDDEN=HIDE || HIDDEN=HIDEUNI

ONEDIR="/lib/modules/$KERNVER/intelmodem/536EP"
if ! [ -e $ONEDIR/Intel536.ko -a -e $ONEDIR/Intel536.$SUFFIX -a ! -s $ONEDIR/Intel536.$SUFFIX ];then #not already correct
 if [ -e $ONEDIR/Intel536.ko ];then #deselect the alternative
  if [ ! -e $ONEDIR/Intel536.$HIDDEN -o ! -s $ONEDIR/Intel536.$HIDDEN];then
   mv -f $ONEDIR/Intel536.ko $ONEDIR/Intel536.$HIDDEN 2>/dev/null
  else #no place for it
   rm -f $ONEDIR/Intel536.ko
  fi
 fi
fi
[ -s $ONEDIR/Intel536.$SUFFIX ] \
 && ( mv -f $ONEDIR/Intel536.$SUFFIX $ONEDIR/Intel536.ko 2>/dev/null; \
      touch $ONEDIR/Intel536.$SUFFIX )

[ -e /lib/modules/$KERNVER/intelmodem/536EP/Intel536.ko ]; MODEXIST=$?
[ $MODEXIST -eq 0 ] \
 || rm -f /etc/init.d/intel536ep #Remove init script if no driver.
[ "$(grep "^intelmodem/536EP/Intel536.ko:" /lib/modules/$KERNVER/modules.dep)" ]; MODDEPEXIST=$?
[ $MODDEPEXIST -eq $MODEXIST ] || /sbin/depmod
  
